GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
      Create New Clearing OrderGet Clearing OrderCancel Clearing OrderConfirm Clearing OrderList Clearing OrdersList Clearing BrokersCreate New Broker OrderList Clearing Trades
    Instant Orders
    Fund Management
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

List Clearing Orders

TradingClearingList Clearing Orders

List Clearing Orders

POSThttps://api.gemini.com/v1/clearing/list

Retrieve a filtered list of bilateral clearing orders for the account.

POSTv1/clearing/list
curl --request POST \
  --url https://api.gemini.com/v1/clearing/list \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/clearing/list",
  "nonce": "<nonce>",
  "symbol": "BTCEUR",
  "side": "buy"
}
'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

The OAuth scope must have clearing:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/clearing/list"
nonceTimestampType | integer·required
timestampExample: 1495127793000
symbolstring
Trading pair
counterpartystring
counterparty_id or counterparty_alias
sidestring·enum
"buy" or "sell"Enum values: buysell
expiration_startstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
expiration_endstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
submission_startstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
submission_endstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
fundedboolean
Default value false if not set
statusstring
Filter by status
timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
limit_ordersinteger
The maximum number of orders to return
accountstring
Required for Master API keys. The name of the account within the subaccount group.
Example request body
{
  "request": "/v1/clearing/list",
  "nonce": "<nonce>"
}

Responses

Successful operation

resultstring
Status of the operation
ordersarray
orders[].clearing_idstring
A unique identifier for the clearing order
orders[].order_idstring
Only provided if order was submitted with it
orders[].counterparty_idstring
A symbol that corresponds with a counterparty
orders[].counterparty_aliasstring
Counterparty alias
orders[].broker_idstring
A symbol that corresponds with a broker id
orders[].symbolstring
Trading pair
orders[].sidestring·enum
"buy" or "sell"Enum values: buysell
orders[].pricenumber (decimal)
The price the clearing order was executed at
orders[].quantitynumber (decimal)
The amount that was executed
orders[].statusstring
A description of the status of the order
orders[].submissionstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
orders[].expirationstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
Example Responses
{
  "result": "success",
  "orders": [
    {
      "clearing_id": "9LVQE9X5",
      "counterparty_id": "YZ43LX81",
      "symbol": "BTCEUR",
      "side": "sell",
      "price": 2,
      "quantity": 10,
      "status": "AwaitTargetConfirm",
      "submission": 1641790800020,
      "expiration": 1641963600000
    },
    {
      "clearing_id": "2MYR07XP",
      "order_id": "trade1SrcOrderId",
      "counterparty_id": "KQ4P3XWE",
      "broker_id": "WV4V1DGN",
      "symbol": "BTCEUR",
      "side": "buy",
      "price": 1,
      "quantity": 50,
      "status": "AwaitSourceConfirm",
      "submission": 1641790800016,
      "expiration": 1642222800000
    },
    {
      "clearing_id": "EM8WO7LQ",
      "order_id": "trade4SrcOrderId",
      "broker_id": "WV4V1DGN",
      "symbol": "BTCEUR",
      "side": "buy",
      "price": 4,
      "quantity": 8,
      "status": "AwaitSourceTargetConfirm",
      "submission": 1641790800028,
      "expiration": 1642136400000
    }
  ]
}
PreviousConfirm Clearing OrderNextList Clearing Brokers
Last modified on May 5, 2026